PelekaPeleka Developers
API ReferenceAudienceSegments

Update a segment

PATCH
/api/v1/segments/{id}
X-API-Key<token>

In: header

Path Parameters

id*string

Segment UUID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/api/v1/segments/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "550e8400-e29b-41d4-a716-446655440000",    "workspaceId": "550e8400-e29b-41d4-a716-446655440000",    "name": "Active subscribers",    "icon": "users",    "description": "Subscribed in the last 90 days",    "color": "#3b82f6",    "type": "dynamic",    "rules": {      "conditions": []    },    "count": "1234",    "createdAt": "2026-01-01T00:00:00.000Z",    "updatedAt": "2026-01-01T00:00:00.000Z"  }}